/**
 * Copyright 2023 actions-toolkit authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { Buildx } from './buildx';
import { Context } from './context';
export interface BuilderInfo {
    name?: string;
    driver?: string;
    lastActivity?: Date;
    nodes: NodeInfo[];
}
export interface NodeInfo {
    name?: string;
    endpoint?: string;
    driverOpts?: Array<string>;
    status?: string;
    buildkitdFlags?: string;
    buildkitVersion?: string;
    platforms?: string;
}
export interface BuilderOpts {
    context: Context;
    buildx?: Buildx;
}
export declare class Builder {
    private readonly context;
    private readonly buildx;
    constructor(opts: BuilderOpts);
    inspect(name: string): Promise<BuilderInfo>;
    static parseInspect(data: string): BuilderInfo;
}
